For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETGet tool schemas
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
Dashboard
LogoLogo
Runtype APITools

Delete tool

DELETE
/v1/tools/:id
DELETE
/v1/tools/:id
$curl -X DELETE https://api.runtype.com/v1/tools/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true,
3 "deletedId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
4}
Delete a tool by ID.
Was this page helpful?
Previous

Bulk delete records

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Tool deleted
successboolean
deletedIdstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error